package org.jeecg.modules.app.vo.weixin;

import lombok.AllArgsConstructor;
import lombok.Data;

@Data
@AllArgsConstructor
public class NotificationResult {
    private boolean success;
    private Long msgId;
    private String errorMsg;

    public static NotificationResult success(Long msgId) {
        return new NotificationResult(true, msgId, null);
    }

    public static NotificationResult failure(String errorMsg) {
        return new NotificationResult(false, null, errorMsg);
    }
}
